### Virtual Method

# Gtk AccessibleText get_extents

unstable since: 4.16

#### Declaration [src]

    gboolean
    get_extents (
      GtkAccessibleText* self,
      unsigned int start,
      unsigned int end,
      graphene_rect_t* extents
    )

#### Description [src]

Obtains the extents of a range of text, in widget coordinates.

Available since: 4.16

#### Parameters

`start`

  Type: `unsigned int`

  The start offset, in characters.

`end`

  Type: `unsigned int`

  The end offset, in characters, `extents` (out caller-allocates): return location for the extents.

`extents`

  Type: `graphene_rect_t`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

True if the extents were filled in, false otherwise.